## org.biojava.bio.structure.gui.util
Class AlignmentCalc

    java.lang.Object
      org.biojava.bio.structure.gui.util.AlignmentCalc

All Implemented Interfaces:
  Runnable

    public class AlignmentCalc

extends Object
implements Runnable

A class that obtains two structures via DAS and aligns them This is done in a separate thread. It is possible to register Event listeners to get notification of when the download has finished.

Since:
  1.7
Version:
  %I% %G%
Author:
  Andreas Prlic

Field Summary
`static Logger` `logger`

Constructor Summary
`AlignmentCalc(AlignmentGui parent, Structure s1, Structure s2)` requests an alignment of pdb1 vs pdb 2.

Method Summary
`void` `cleanup()`
`void` `interrupt()` stops what is currently happening and does not continue
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static Logger logger

Constructor Detail

### AlignmentCalc

    public AlignmentCalc(AlignmentGui parent,
                         Structure s1,
                         Structure s2)

  requests an alignment of pdb1 vs pdb 2. Chain 1 and chain2 are optional. If they are empty strings, they are ignored

  Parameters:
    `parent` - the alignment gui frame that interacts with this class
    `s1` - structure 1
    `s2` - structure 2

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### interrupt

    public void interrupt()

  stops what is currently happening and does not continue

### cleanup

    public void cleanup()